Skip to main content
GET
/
api
/
v3
/
store
/
taxons
Spree SDK
import { createSpreeClient } from '@spree/sdk'

const client = createSpreeClient({
  baseUrl: 'https://your-store.com',
  publishableKey: '<api-key>',
})

const taxons = await client.store.taxons.list({
  page: 1,
  limit: 25,
})
{
  "data": [
    {
      "id": "txn_UkLWZg9DAJ",
      "name": "Categories",
      "permalink": "categories",
      "position": 0,
      "depth": 0,
      "meta_title": null,
      "meta_description": null,
      "meta_keywords": null,
      "children_count": 0,
      "created_at": "2026-03-05T20:51:39.805Z",
      "updated_at": "2026-03-05T20:51:39.813Z",
      "parent_id": null,
      "taxonomy_id": "txnmy_UkLWZg9DAJ",
      "description": "",
      "description_html": "",
      "image_url": null,
      "square_image_url": null,
      "is_root": true,
      "is_child": false,
      "is_leaf": true
    },
    {
      "id": "txn_gbHJdmfrXB",
      "name": "Brands",
      "permalink": "brands",
      "position": 0,
      "depth": 0,
      "meta_title": null,
      "meta_description": null,
      "meta_keywords": null,
      "children_count": 0,
      "created_at": "2026-03-05T20:51:39.818Z",
      "updated_at": "2026-03-05T20:51:39.822Z",
      "parent_id": null,
      "taxonomy_id": "txnmy_gbHJdmfrXB",
      "description": "",
      "description_html": "",
      "image_url": null,
      "square_image_url": null,
      "is_root": true,
      "is_child": false,
      "is_leaf": true
    },
    {
      "id": "txn_EfhxLZ9ck8",
      "name": "Collections",
      "permalink": "collections",
      "position": 0,
      "depth": 0,
      "meta_title": null,
      "meta_description": null,
      "meta_keywords": null,
      "children_count": 2,
      "created_at": "2026-03-05T20:51:39.826Z",
      "updated_at": "2026-03-05T20:51:39.905Z",
      "parent_id": null,
      "taxonomy_id": "txnmy_EfhxLZ9ck8",
      "description": "",
      "description_html": "",
      "image_url": null,
      "square_image_url": null,
      "is_root": true,
      "is_child": false,
      "is_leaf": false
    },
    {
      "id": "txn_VqXmZF31wY",
      "name": "On sale",
      "permalink": "collections/on-sale",
      "position": 0,
      "depth": 1,
      "meta_title": null,
      "meta_description": null,
      "meta_keywords": null,
      "children_count": 0,
      "created_at": "2026-03-05T20:51:39.837Z",
      "updated_at": "2026-03-05T20:51:39.839Z",
      "parent_id": "txn_EfhxLZ9ck8",
      "taxonomy_id": "txnmy_EfhxLZ9ck8",
      "description": "",
      "description_html": "",
      "image_url": null,
      "square_image_url": null,
      "is_root": false,
      "is_child": true,
      "is_leaf": true
    },
    {
      "id": "txn_uw2YK1rnl0",
      "name": "New arrivals",
      "permalink": "collections/new-arrivals",
      "position": 0,
      "depth": 1,
      "meta_title": null,
      "meta_description": null,
      "meta_keywords": null,
      "children_count": 0,
      "created_at": "2026-03-05T20:51:39.850Z",
      "updated_at": "2026-03-05T20:51:39.852Z",
      "parent_id": "txn_EfhxLZ9ck8",
      "taxonomy_id": "txnmy_EfhxLZ9ck8",
      "description": "",
      "description_html": "",
      "image_url": null,
      "square_image_url": null,
      "is_root": false,
      "is_child": true,
      "is_leaf": true
    },
    {
      "id": "txn_OIJLhNcSbf",
      "name": "taxonomy_26",
      "permalink": "taxonomy-26",
      "position": 0,
      "depth": 0,
      "meta_title": null,
      "meta_description": null,
      "meta_keywords": null,
      "children_count": 1,
      "created_at": "2026-03-05T20:52:46.351Z",
      "updated_at": "2026-03-05T20:52:46.416Z",
      "parent_id": null,
      "taxonomy_id": "txnmy_VqXmZF31wY",
      "description": "",
      "description_html": "",
      "image_url": null,
      "square_image_url": null,
      "is_root": true,
      "is_child": false,
      "is_leaf": false
    },
    {
      "id": "txn_AXs1igzRC6",
      "name": "taxon_11",
      "permalink": "taxonomy-26/taxon-11",
      "position": 0,
      "depth": 1,
      "meta_title": null,
      "meta_description": null,
      "meta_keywords": null,
      "children_count": 1,
      "created_at": "2026-03-05T20:52:46.360Z",
      "updated_at": "2026-03-05T20:52:46.415Z",
      "parent_id": "txn_OIJLhNcSbf",
      "taxonomy_id": "txnmy_VqXmZF31wY",
      "description": "",
      "description_html": "",
      "image_url": null,
      "square_image_url": null,
      "is_root": false,
      "is_child": true,
      "is_leaf": false
    },
    {
      "id": "txn_p6klVeMgbn",
      "name": "taxon_12",
      "permalink": "taxonomy-26/taxon-11/taxon-12",
      "position": 0,
      "depth": 2,
      "meta_title": null,
      "meta_description": null,
      "meta_keywords": null,
      "children_count": 0,
      "created_at": "2026-03-05T20:52:46.374Z",
      "updated_at": "2026-03-05T20:52:46.383Z",
      "parent_id": "txn_AXs1igzRC6",
      "taxonomy_id": "txnmy_VqXmZF31wY",
      "description": "",
      "description_html": "",
      "image_url": null,
      "square_image_url": null,
      "is_root": false,
      "is_child": true,
      "is_leaf": true
    }
  ],
  "meta": {
    "page": 1,
    "limit": 25,
    "count": 8,
    "pages": 1,
    "from": 1,
    "to": 8,
    "in": 8,
    "previous": null,
    "next": null
  }
}

Authorizations

x-spree-api-key
string
header
required

Publishable API key for store access

Headers

x-spree-api-key
string
required

Query Parameters

page
integer
limit
integer
q[name_cont]
string

Filter by name

fields
string

Comma-separated list of fields to include (e.g., name,slug,price). id is always included.

Response

taxons found

data
object[]
meta
object